Download it now!
Bug 90955 - FILESAVE : XLSX character kerning spacing is not exported after RT
Summary: FILESAVE : XLSX character kerning spacing is not exported after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-30 07:10 UTC by Yogesh Bharate
Modified: 2015-05-12 10:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
textbox (9.38 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-04-30 07:10 UTC, Yogesh Bharate
Details
Difference in Original and RT files (125.25 KB, image/png)
2015-04-30 08:56 UTC, Yogesh Bharate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yogesh Bharate 2015-04-30 07:10:08 UTC
Created attachment 115206 [details]
textbox

Problem Description :
- character kerning spacing (i.e spacing between individual characters or letters) is not preserved after roundtrip.


Step to reproduce:
1. Open attached document in LO.
2. Save as xlsx.
3. open roundtrip file in excel 2010.

Expected behavior :
Kerning spacing must preserved.

Actual behavior:
Kerning spacing is not preserved.
Comment 1 Yogesh Bharate 2015-04-30 08:56:23 UTC
Created attachment 115211 [details]
Difference in Original and RT files
Comment 2 Yogesh Bharate 2015-04-30 09:10:24 UTC
XML Difference :
Original:
<a:rPr lang="en-IN" sz="6000" b="1" kern="0" spc="2000" baseline="0">

After Roundtrip:
<a:rPr b="1" lang="en-IN" sz="6000" strike="noStrike">

spc="2000" is missing in roundtripped file.
Comment 3 Commit Notification 2015-04-30 12:23:13 UTC
yogesh.bharate001 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b29483560306e6a6fec8dfe2c8622060b0ef2cd1

tdf#90955: CharKerning i.e spc is not exported after RT.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Jorendc 2015-05-03 16:17:24 UTC
Patch merged to master -> RESOLVED FIXED.

Thanks Yogesh!
Comment 5 darshan.gandhi 2015-05-12 10:43:22 UTC
Verified on below version of LO and now character kerning spacing is getting exported after RT.

Version: 5.0.0.0.alpha1+ (x64)
Build ID: ddb3c4531c657cda6ae20dd950020cea1d12ba2e
Comment 6 darshan.gandhi 2015-05-12 10:44:19 UTC
Verified on below version of LO and now character kerning spacing is getting exported after RT.

Version: 5.0.0.0.alpha1+ (x64)
Build ID: ddb3c4531c657cda6ae20dd950020cea1d12ba2e